@charset "utf-8";

/* ---------- Fonts ------------ */

@font-face {
    font-family: 'AmbleLight';
    src: url('/media/fonts/amble/Amble-Light-webfont.eot');
    src: url('/media/fonts/amble/Amble-Light-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-Light-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-Light-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-Light-webfont.svg#AmbleLight') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleLightItalic';
    src: url('/media/fonts/amble/Amble-LightItalic-webfont.eot');
    src: url('/media/fonts/amble/Amble-LightItalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-LightItalic-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-LightItalic-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-LightItalic-webfont.svg#AmbleLightItalic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleRegular';
    src: url('/media/fonts/amble/Amble-Regular-webfont.eot');
    src: url('/media/fonts/amble/Amble-Regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-Regular-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-Regular-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-Regular-webfont.svg#AmbleRegular') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleItalic';
    src: url('/media/fonts/amble/Amble-Italic-webfont.eot');
    src: url('/media/fonts/amble/Amble-Italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-Italic-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-Italic-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-Italic-webfont.svg#AmbleItalic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleBold';
    src: url('/media/fonts/amble/Amble-Bold-webfont.eot');
    src: url('/media/fonts/amble/Amble-Bold-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-Bold-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-Bold-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-Bold-webfont.svg#AmbleBold') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleBoldItalic';
    src: url('/media/fonts/amble/Amble-BoldItalic-webfont.eot');
    src: url('/media/fonts/amble/Amble-BoldItalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-BoldItalic-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-BoldItalic-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-BoldItalic-webfont.svg#AmbleBoldItalic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleLightCondensed';
    src: url('/media/fonts/amble/Amble-LightCondensed-webfont.eot');
    src: url('/media/fonts/amble/Amble-LightCondensed-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-LightCondensed-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-LightCondensed-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-LightCondensed-webfont.svg#AmbleLightCondensed') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'AmbleLightCondensedItalic';
    src: url('/media/fonts/amble/Amble-LightCondensedItalic-webfont.eot');
    src: url('/media/fonts/amble/Amble-LightCondensedItalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/amble/Amble-LightCondensedItalic-webfont.woff') format('woff'),
         url('/media/fonts/amble/Amble-LightCondensedItalic-webfont.ttf') format('truetype'),
         url('/media/fonts/amble/Amble-LightCondensedItalic-webfont.svg#AmbleLightCondensedItalic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'PacificoRegular';
    src: url('/media/fonts/pacifico/Pacifico-webfont.eot');
    src: url('/media/fonts/pacifico/Pacifico-webfont.eot?#iefix') format('embedded-opentype'),
         url('/media/fonts/pacifico/Pacifico-webfont.woff') format('woff'),
         url('/media/fonts/pacifico/Pacifico-webfont.ttf') format('truetype'),
         url('/media/fonts/pacifico/Pacifico-webfont.svg#PacificoRegular') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* ---------- General ---------- */

*:focus {
    outline: none;
}

body {
    padding: 0;
    margin: 0;
    background: url(/media/img/bg.png) #101318 repeat left top;
    font-family: AmbleRegular, Helvetica, Arial, verdana, sans-serif;
}

.inner {
    max-width: 1280px;
    margin: 0 auto;
    overflow: hidden;
}

#container {
    padding: 50px 10px 20px;
}

.hidden {
    display:none!important;
}

.visible-phone-portrait {
    display: none!important;
}

/* Visible Container */

#white-container {
    border-radius: 10px;
    background: #FFF;
    box-shadow: 1px 1px 0px 0px #000;
}

#contents {
    background: none repeat scroll 0 0 #FFFFFF;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top: 1px solid #F6F6F6;
    min-height: 470px;
    padding: 20px;
}

/* Header Specific */

header {
    background: #f0f0f0;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    overflow: hidden;
    padding: 20px 30px;
    border-bottom: 1px solid #e0e0e0;
}

#header-pic {
    height: 70px;
    width: 70px;
    background: #FFF;
    padding: 3px;
    overflow: hidden;
}

#header-pic img {
    max-width: 70px;
}

#header-text {
    padding: 7px 15px;
    color: #999;
}

.header-link {
    font-size: 12px;
    display: inline-block;
    margin-right: 10px;
}

.text-center {
    text-align: center;
}

/* Nav Specific */

#nav-bar {
    display: none;
}

nav ul {
    list-style: none;
    margin: 115px 0 0;
}

nav li {
    border-radius: 10px;
}

nav li a {
    border-bottom: 1px solid #5D1331;
    border-top: 1px solid #873B55;
    color: #B4647D;
    display: block;
    height: 40px;
    overflow: hidden;
    padding: 10px 7px 7px;
}

nav li a:hover {
    color: #b4647d;
}


nav li:first-child a {
    border-top: 1px solid transparent;
}

nav li:last-child a {
    border-bottom: 1px solid transparent;
}


nav li.active {
    background: none repeat scroll 0 0 #FFFFFF;
    border-radius: 10px;
}

nav li.active a {
    border-top: 1px solid transparent;
}

nav li.active + li a {
    border-top: 1px solid transparent;
}


nav li:hover {
    background: none repeat scroll 0 0 #FFFFFF;
    border-radius: 10px;
}

nav li:hover a {
    border-top: 1px solid transparent;
}

nav li:hover + li a {
    border-top: 1px solid transparent;
}

/* Nav Icons and text */

nav a .nav-icon {
    background: url("/media/img/nav.png") no-repeat scroll 0 0 transparent;
    display: inline-block;
    height: 35px;
    width: 35px;
    float: left;
    clear: left;
}

nav a .nav-text {
    clear: right;
    float: left;
    line-height: 40px;
    padding-left: 10px;
}

#nav-home-icon {
    background-position: 0 0;
}

#nav-attendance-icon {
    background-position: 0 -70px;
}

#nav-surveys-icon {
    background-position: 0 -130px;
}

#nav-insights-icon {
    background-position: 0 -190px;
}

#nav-m-surveys-icon {
    background-position: 0 -250px;
}

#nav-m-classes-icon {
    background-position: 0 -310px;
}

#nav-m-students-icon {
    background-position: 0 -370px;
}

#nav-m-teachers-icon {
    background-position: 0 -430px;
}

/* Footer */

footer {
    padding-top: 10px;
    text-align: right;
    color: #999;
    font-size: 12px;
}

footer img {
    vertical-align: top;
}

footer a {
    color: #CCC;
}

footer a:hover {
    color: #FFF;
    text-decoration: none;
}

/* Generic Table Colors */

table.table {
    border-collapse: collapse;
}

table.table thead th {
    background: #b8a2aa;
    vertical-align: middle;
}

table.table thead th a {
    color: #fff;
}

table.table tbody tr:nth-child(odd) {
    background: #f1e4e8;
}

table.table tbody tr:nth-child(even) {
    background: #eacfd9;
}

table.table td {
    color: #333;
    vertical-align: middle;
}

table.table tbody a {
    color: #333;
}

table.table .add-icon:before {
    background: url("/media/img/icons.png") repeat scroll -29px 0 transparent;
    content: "";
    height: 16px;
    padding-right: 21px;
    width: 16px;
}

table.table .edit-icon:before {
    background: url("/media/img/icons.png") repeat scroll -88px 0 transparent;
    content: "";
    height: 16px;
    padding-right: 21px;
    width: 16px;
}

table.table .delete-icon:before {
    background: url("/media/img/icons.png") repeat scroll -59px 0 transparent;
    content: "";
    height: 16px;
    padding-right: 21px;
    width: 16px;
}

table.table .center {
    text-align: center;
}

table.table .right {
    text-align: right;
}

table.table tbody td.image {
    line-height: 30px;
}

table.table form {
    margin-bottom: 0px;
}

textarea.autoresize {
    box-sizing: border-box;
    resize: none;
}

table.table .inlineFilter input[type="submit"] {
    font-size: 12px;
    padding: 2px 20px;
}
table.table .inlineFilter select {
    max-width: 200px;
    width: 50%;
    margin-bottom: 0px;
}

/* Pagination General */

.pagination {
    text-align: center;
}

.pagination a {
    display: inline-block;
    line-height: 14px;
    height: 14px;
    border: 1px solid #CC6688;
    padding: 4px;
    margin: 0 2px;
    font-size: 12px;
    min-width: 14px;
    text-align: center;
    background: #EEE;
    color: #666;
    text-decoration: none;
}

.pagination a.selected {
    color: #333
}

/* Profile Pic Specific */

label#avatar-container-label,
#account label#avatar-container-label {
    line-height: 70px;
}

.avatar-container {
    width: 70px;
    height: 70px;
    overflow: hidden;
}

.avatar-container img {
    max-width: 70px;
}

.avatar-small-container {
    float: left;
    height: 30px;
    margin: 0 10px 0 0;
    overflow: hidden;
    padding: 0;
    width: 30px;
}

.avatar-small-container img {
    max-width: 30px;
}

/* Search specific */

.searchContainer,
.searchContainer form {
    margin-bottom: 0;
}

.searchContainer input[type="search"] {

}

.searchContainer input[type="submit"].styled-button {
    padding: 3px 15px 5px;
    font-size: 12px;
}

/* Generic Icons */

.empty-icon {
    width: 14px;
    height: 14px;
}

.sort-icon {
    background: url("/media/img/glyphicons-halflings.png") no-repeat -264px 0px transparent;
    width: 14px;
    height: 14px;
}

.small-delete-icon {
    background: url("/media/img/glyphicons-halflings.png") no-repeat -456px 0 transparent;
    width: 14px;
    height: 14px;
}

.small-add-icon {
    background: url("/media/img/glyphicons-halflings.png") no-repeat -408px -96px transparent;
    width: 14px;
    height: 14px;
}

.loading-icon {
    background: url("/media/img/loading.gif") no-repeat 0px 0px transparent;
    width: 16px;
    height: 16px;
}

/* Alert Specific */

.alert ul {
    margin-bottom: 0;
}

.alert-visit-desktop {
    text-align: justify;
}

.alert-visit-desktop-face {
    text-align: center;
    font-size: 32px;
    margin: 25px 0;
}

/* Generic Forms */

.form label {
    cursor: default;
}

input[type="radio"] {
    margin: 0px 5px 0px 0px;
}

.sliderContainer .sliderPreText,
.sliderContainer .sliderPostText {
    width:40px;
    float:left;
}

.sliderContainer .sliderElement {
    width:50%;
    float:left;
    margin: 0px 10px;
}

.form .buttonRow {
    margin-top: 20px;
}

.formFieldContainer {
    overflow:hidden;
    margin: 20px 0px 0px;
}

.formFieldContainer.fieldGroupContainer {
    margin: 10px 0px 0px;
    padding: 0px 10px 10px;
    border-bottom: 1px solid #e5e5e5;
}

input[type="submit"].styled-button {
    background: url("/media/img/bg.png") repeat scroll left top #101318;
    background: radial-gradient(ellipse farthest-side at center -15px , #FFFFFF 0%, transparent 100%) repeat scroll 0 0%,
        url("/media/img/bg.png") repeat scroll left top #101318;
    border: medium none;
    border-radius: 4px 4px 4px 4px;
    color: #FFFFFF;
    font-family: PacificoRegular;
    padding: 5px 20px 8px;
    height: 42px;
}

input[type="submit"].styled-button.styled-button-noheight {
    height: auto;
}

/* Form Errors */

form .errors {
    padding: 5px;
    border: 1px solid #DD3C10;
    margin: 0 auto 10px;
    background: #FFEBE8;
}

form .errors li {
    margin-left: 20px;
}

/* debug */

.xdebug-var-dump{
    clear: both;
}


@media (min-width: 768px) and (max-width: 1030px) {

    nav .nav-text {
        display: none;
    }

}

@media (max-width: 767px) {

    #container {
        padding: 10px;
    }
    #contents {
        padding: 10px;
    }

    #contents h1 {
        font-size: 24.5px;
    }
    #contents h2 {
        font-size: 21.5px;
    }
    #contents h3 {
        font-size: 18.5px;
    }
    #contents h4 {
        font-size: 15.5px;
    }

    header {
        padding: 5px 10px;
    }

    nav ul {
        margin: 0 0 10px;
        display: none;
    }
    nav li a {
        height: 25px;
    }
    nav a .nav-icon {
        background: url("/media/img/nav.png") no-repeat 0 0 transparent;
        background-size: 70%;
        height: 25px;
    }

    #nav-home-icon {
        background-position: 0 0;
    }
    #nav-attendance-icon {
        background-position: 0 -48px;
    }
    #nav-surveys-icon {
        background-position: 0 -89px;
    }
    #nav-insights-icon {
        background-position: 0 -130px;
    }
    #nav-m-surveys-icon {
        background-position: 0 -168px;
    }
    #nav-m-classes-icon {
        background-position: 0 -210px;
    }
    #nav-m-students-icon {
        background-position: 0 -246px;
    }
    #nav-m-teachers-icon {
        background-position: 0 -286px;
    }
    nav a .nav-text {
        font-size: 12px;
        line-height: 25px;
    }

    #nav-bar {
        display: block;
        font-family: AmbleBold;
        font-size: 11px;
        padding: 4px 3px 2px;
        text-transform: uppercase;
    }
    #nav-bar a {
        color: #FFF;
    }
    #nav-bar a:hover {
        text-decoration: none;
    }

}

@media (max-width: 480px) {

    #header-logo,
    #header-account {
        float: none;
        overflow: hidden;
    }
    #header-logo {
        text-align: center;
        margin-bottom: 15px;
    }

    footer {
        text-align: center;
    }

}

@media (max-width: 360px) {

    .hidden-phone-portrait {
        display: none!important;
    }

    .visible-phone-portrait {
        display: inherit!important;
    }

}

@media (max-width: 360px) {
    .table th, .table td {
        padding: 5px 2px;
    }
}